package com.yihu.jw.entity.base.dict;


import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "base_drug_dict")
public class BaseDrugDictDO extends UuidIdentityEntity {
    private String charge_code;
    private String drugname;
    private String specification;
    private String py_code;
    private String supply_code;
    private String supply_name;
    private String retprice;
    private String manu_name;
    private String weigh_unit;
    private String mini_unit_name;
    private String pack_unit_name;
    private String weigh_unit_name;
    private String vol_unit_name;
    private String win_no;
    private String pack_retprice;
    private String jbyw;
    private String mini_unit;
    private String pack_size;
    private String action;
    private String serial;
    private String group_no;
    private String stock_amount;
    private String visible_flag;
    private String drug_flag;
    private Date create_time;
    private String status;
    private Date update_time;
    private String is_del;
    private String dosage;
    private String mini_stock_amount;
    private String max_stock_amount;
    private String pack_unit;
    private String vol_unit;
    private String manufactory;
    @Column(name = "vol_unit")
    public String getVol_unit() {
        return vol_unit;
    }

    public void setVol_unit(String vol_unit) {
        this.vol_unit = vol_unit;
    }
    @Column(name = "manufactory")
    public String getManufactory() {
        return manufactory;
    }

    public void setManufactory(String manufactory) {
        this.manufactory = manufactory;
    }

    @Column(name = "pack_unit")
    public String getPack_unit() {
        return pack_unit;
    }

    public void setPack_unit(String pack_unit) {
        this.pack_unit = pack_unit;
    }

    @Column(name = "dosage")
    public String getDosage() {
        return dosage;
    }

    public void setDosage(String dosage) {
        this.dosage = dosage;
    }
    @Column(name = "mini_stock_amount")
    public String getMini_stock_amount() {
        return mini_stock_amount;
    }

    public void setMini_stock_amount(String mini_stock_amount) {
        this.mini_stock_amount = mini_stock_amount;
    }
    @Column(name = "max_stock_amount")
    public String getMax_stock_amount() {
        return max_stock_amount;
    }

    public void setMax_stock_amount(String max_stock_amount) {
        this.max_stock_amount = max_stock_amount;
    }

    @Column(name = "is_del")
    public String getIs_del() {
        return is_del;
    }

    public void setIs_del(String is_del) {
        this.is_del = is_del;
    }

    @Column(name = "update_time")
    public Date getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(Date update_time) {
        this.update_time = update_time;
    }

    @Column(name = "charge_code")
    public String getCharge_code() {
        return charge_code;
    }

    public void setCharge_code(String charge_code) {
        this.charge_code = charge_code;
    }
    @Column(name = "drugname")
    public String getDrugname() {
        return drugname;
    }

    public void setDrugname(String drugname) {
        this.drugname = drugname;
    }
    @Column(name = "specification")
    public String getSpecification() {
        return specification;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }
    @Column(name = "py_code")
    public String getPy_code() {
        return py_code;
    }

    public void setPy_code(String py_code) {
        this.py_code = py_code;
    }
    @Column(name = "supply_code")
    public String getSupply_code() {
        return supply_code;
    }

    public void setSupply_code(String supply_code) {
        this.supply_code = supply_code;
    }
    @Column(name = "supply_name")
    public String getSupply_name() {
        return supply_name;
    }

    public void setSupply_name(String supply_name) {
        this.supply_name = supply_name;
    }
    @Column(name = "retprice")
    public String getRetprice() {
        return retprice;
    }

    public void setRetprice(String retprice) {
        this.retprice = retprice;
    }
    @Column(name = "manu_name")
    public String getManu_name() {
        return manu_name;
    }

    public void setManu_name(String manu_name) {
        this.manu_name = manu_name;
    }
    @Column(name = "weigh_unit")
    public String getWeigh_unit() {
        return weigh_unit;
    }

    public void setWeigh_unit(String weigh_unit) {
        this.weigh_unit = weigh_unit;
    }
    @Column(name = "mini_unit_name")
    public String getMini_unit_name() {
        return mini_unit_name;
    }

    public void setMini_unit_name(String mini_unit_name) {
        this.mini_unit_name = mini_unit_name;
    }
    @Column(name = "pack_unit_name")
    public String getPack_unit_name() {
        return pack_unit_name;
    }

    public void setPack_unit_name(String pack_unit_name) {
        this.pack_unit_name = pack_unit_name;
    }
    @Column(name = "weigh_unit_name")
    public String getWeigh_unit_name() {
        return weigh_unit_name;
    }

    public void setWeigh_unit_name(String weigh_unit_name) {
        this.weigh_unit_name = weigh_unit_name;
    }
    @Column(name = "vol_unit_name")
    public String getVol_unit_name() {
        return vol_unit_name;
    }

    public void setVol_unit_name(String vol_unit_name) {
        this.vol_unit_name = vol_unit_name;
    }
    @Column(name = "win_no")
    public String getWin_no() {
        return win_no;
    }

    public void setWin_no(String win_no) {
        this.win_no = win_no;
    }
    @Column(name = "pack_retprice")
    public String getPack_retprice() {
        return pack_retprice;
    }

    public void setPack_retprice(String pack_retprice) {
        this.pack_retprice = pack_retprice;
    }
    @Column(name = "jbyw")
    public String getJbyw() {
        return jbyw;
    }

    public void setJbyw(String jbyw) {
        this.jbyw = jbyw;
    }
    @Column(name = "mini_unit")
    public String getMini_unit() {
        return mini_unit;
    }

    public void setMini_unit(String mini_unit) {
        this.mini_unit = mini_unit;
    }
    @Column(name = "pack_size")
    public String getPack_size() {
        return pack_size;
    }

    public void setPack_size(String pack_size) {
        this.pack_size = pack_size;
    }
    @Column(name = "action")
    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }
    @Column(name = "serial")
    public String getSerial() {
        return serial;
    }

    public void setSerial(String serial) {
        this.serial = serial;
    }
    @Column(name = "group_no")
    public String getGroup_no() {
        return group_no;
    }

    public void setGroup_no(String group_no) {
        this.group_no = group_no;
    }
    @Column(name = "stock_amount")
    public String getStock_amount() {
        return stock_amount;
    }

    public void setStock_amount(String stock_amount) {
        this.stock_amount = stock_amount;
    }
    @Column(name = "visible_flag")
    public String getVisible_flag() {
        return visible_flag;
    }

    public void setVisible_flag(String visible_flag) {
        this.visible_flag = visible_flag;
    }
    @Column(name = "drug_flag")
    public String getDrug_flag() {
        return drug_flag;
    }

    public void setDrug_flag(String drug_flag) {
        this.drug_flag = drug_flag;
    }
    @Column(name = "create_time")
    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }
    @Column(name = "status")
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
